#!/bin/bash

dbUser=$1
dbPassword=$2
dbHost=$3
dbName=$4
dbPort=$5
backUpPath=$6
ossPath=$7
hostName=$(echo $HOSTNAME)

PATH=PATH:/usr/bin:/usr/sbin:/usr/local/bin

cd $backUpPath
/usr/bin/mysqldump -R --opt --protocol=TCP --user=${dbUser} --password=${dbPassword} --host=${dbHost} --port=${dbPort} ${dbName}  > ${hostName}_${dbName}.sql

cd $backUpPath
rm ${hostName}_${dbName}.sql_bak3.tar.gz
mv ${hostName}_${dbName}.sql_bak2.tar.gz ${dbName}.sql_bak3.tar.gz
mv ${hostName}_${dbName}.sql_bak1.tar.gz ${dbName}.sql_bak2.tar.gz
mv ${hostName}_${dbName}.sql.tar.gz ${dbName}.sql_bak1.tar.gz
rm sql -fr || true
#mkdir sql
#mv ${hostName}_${dbName}.sql sql
#tar -czvf ${dbName}.sql.tar.gz sql


cp ${hostName}_${dbName}*.tar.gz /shared/instanceDBBackUp/
#echo "ossPath: "${ossPath}
#ossutil cp ${dbName}.sql.tar.gz oss://${ossPath}/ -f
